Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 612788

Summary: sys-devel/binutils-2.25.1-r1: circular preserved-rebuild
Product: Gentoo Linux Reporter: lekto
Component: Current packagesAssignee: Gentoo Linux bug wranglers <bug-wranglers>
Status: RESOLVED DUPLICATE    
Severity: normal CC: paul
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge --info

Description lekto 2017-03-16 07:12:33 UTC
Created attachment 467192 [details]
emerge --info

After update gentoolkit and man-pages i got message about preserve-rebuild of binutils-2.25.1-r1. After rebuild of binutils-2.25.1-r1 I again got this message and again and again...

!!! existing preserved libs:
>>> package: sys-libs/binutils-libs-2.27
 *  - /usr/lib64/libbfd-2.25.1.so
 *      used by /usr/lib64/binutils/x86_64-pc-linux-gnu/2.25.1/libopcodes-2.25.1.so (sys-devel/binutils-2.25.1-r1)
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2017-03-16 08:40:09 UTC
Please use binutils-config to switch to new binutils and then run @preserved-rebuild again.

*** This bug has been marked as a duplicate of bug 563934 ***
Comment 2 lekto 2017-03-16 16:57:17 UTC
I switched to 2.26.1, env-update and source /etc/profiles, but portage still wants to preserve-rebuild binutils-2.25.1-r1.
Comment 3 aditsu 2017-03-17 13:54:48 UTC
(In reply to lekto from comment #2)
> I switched to 2.26.1, env-update and source /etc/profiles, but portage still
> wants to preserve-rebuild binutils-2.25.1-r1.

Had the same problem here. Got a suggestion to depclean it (emerge -acv binutils) after switching to the new version; it removed the old version, so it can't be preserved anymore, thus solving the problem.
I still think this is a bug that should be fixed to prevent it from happening in the first place.
Comment 4 Coacher 2017-03-17 17:22:16 UTC
The fix is included in >=binutils-2.27. Please use it.

*** This bug has been marked as a duplicate of bug 563934 ***
Comment 5 aditsu 2017-03-18 16:32:44 UTC
(In reply to Coacher from comment #4)
> The fix is included in >=binutils-2.27. Please use it.

We would have obviously used it if it was marked stable. But good to know it's fixed for the future.